## org.apache.mahout.classifier.df.mapreduce
Class MapredMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
          org.apache.mahout.classifier.df.mapreduce.MapredMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

Direct Known Subclasses:
  InMemMapper, Step1Mapper

    public class MapredMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

extends org.apache.hadoop.mapreduce.Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

Base class for Mapred mappers. Loads common parameters from the job

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`MapredMapper()`

Method Summary
`protected void` `configure(boolean noOutput, TreeBuilder treeBuilder, Dataset dataset)` Useful for testing
`protected Dataset` `getDataset()`
`protected TreeBuilder` `getTreeBuilder()`
`protected boolean` `isOutput()`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, map, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapredMapper

    public MapredMapper()

Method Detail

### isOutput

    protected boolean isOutput()

  Returns:
    whether the mapper does estimate and output predictions

### getTreeBuilder

    protected TreeBuilder getTreeBuilder()

### getDataset

    protected Dataset getDataset()

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>`
  Throws:
    `IOException`
    `InterruptedException`

### configure

    protected void configure(boolean noOutput,
                             TreeBuilder treeBuilder,
                             Dataset dataset)

  Useful for testing

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.